ELArithmetic.LongDelegate (Tomcat API Documentation)
Keywords: org.apache.el.lang.ELArithmetic.LongDelegate class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.el.lang
Class ELArithmetic.LongDelegate

    java.lang.Object
      org.apache.el.lang.ELArithmetic
          org.apache.el.lang.ELArithmetic.LongDelegate

Enclosing class:
  ELArithmetic

    public static final class ELArithmetic.LongDelegate

extends ELArithmetic

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.el.lang.ELArithmetic
`ELArithmetic.BigDecimalDelegate, ELArithmetic.BigIntegerDelegate, ELArithmetic.DoubleDelegate, ELArithmetic.LongDelegate`

Field Summary

Fields inherited from class org.apache.el.lang.ELArithmetic
`BIGDECIMAL, BIGINTEGER, DOUBLE, LONG`

Constructor Summary
`ELArithmetic.LongDelegate()`

Method Summary
`protected java.lang.Number` | `add(java.lang.Number num0, java.lang.Number num1)`
`protected java.lang.Number` | `coerce(java.lang.Number num)`
`protected java.lang.Number` | `coerce(java.lang.String str)`
`protected java.lang.Number` | `divide(java.lang.Number num0, java.lang.Number num1)`
`boolean` | `matches(java.lang.Object obj0, java.lang.Object obj1)`
`protected java.lang.Number` | `mod(java.lang.Number num0, java.lang.Number num1)`
`protected java.lang.Number` | `multiply(java.lang.Number num0, java.lang.Number num1)`
`protected java.lang.Number` | `subtract(java.lang.Number num0, java.lang.Number num1)`

Methods inherited from class org.apache.el.lang.ELArithmetic
`add, coerce, divide, isNumber, isNumberType, mod, multiply, subtract`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ELArithmetic.LongDelegate

    public ELArithmetic.LongDelegate()

Method Detail

### add

    protected java.lang.Number add(java.lang.Number num0,
                                   java.lang.Number num1)

  Specified by:
    `add` in class `ELArithmetic`

### coerce

    protected java.lang.Number coerce(java.lang.Number num)

  Specified by:
    `coerce` in class `ELArithmetic`

### coerce

    protected java.lang.Number coerce(java.lang.String str)

  Specified by:
    `coerce` in class `ELArithmetic`

### divide

    protected java.lang.Number divide(java.lang.Number num0,
                                      java.lang.Number num1)

  Specified by:
    `divide` in class `ELArithmetic`

### mod

    protected java.lang.Number mod(java.lang.Number num0,
                                   java.lang.Number num1)

  Specified by:
    `mod` in class `ELArithmetic`

### subtract

    protected java.lang.Number subtract(java.lang.Number num0,
                                        java.lang.Number num1)

  Specified by:
    `subtract` in class `ELArithmetic`

### multiply

    protected java.lang.Number multiply(java.lang.Number num0,
                                        java.lang.Number num1)

  Specified by:
    `multiply` in class `ELArithmetic`

### matches

    public boolean matches(java.lang.Object obj0,
                           java.lang.Object obj1)

  Specified by:
    `matches` in class `ELArithmetic`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.